
Template project for creating new Node.js / TypeScript services

---

## Get Started

### Pull down the code

```bash
git init
git pull https://gitea.jbrumond.me/templates/nodejs-typescript-service.git master
```

### Update configuration

- In `package.json`, update any fields like `name`, `description`, `repository`, etc.



## Building from source

```bash
npm ci
npm run tsc

# Make a directory to store data in
mkdir ./data

# Run the server
APP_PATH="./build" DATA_PATH="./data" CONF_PATH="./conf" node ./build/start.js
```



## Building container image

```bash
docker build . -f Dockerfile -t nodejs-template-service:latest
```


