
import { pino } from 'pino';
import { StorageProvider } from '../storage';
import { HttpConfig, ServerStatus, create_http_server } from '../http/server';

import { register_status_endpoint } from './status';
import { register_ready_check_endpoint } from './ready-check';

export interface HttpMetadataDependencies {
	logger: pino.Logger;
	storage: StorageProvider;
	ready_check: () => ServerStatus;
}

export function create_http_metadata_server(conf: HttpConfig, deps: HttpMetadataDependencies) {
	return create_http_server<HttpMetadataDependencies>(conf, deps, {
		endpoints: [
			register_status_endpoint,
			register_ready_check_endpoint,
		],
		content_parsers: { },
	});
}
