
import { HttpConfig } from '../../http/server';
import { HttpWebDependencies } from '../server';
import { redirect_303_see_other } from '../../http/redirects';
import { FastifyInstance, RouteShorthandOptions } from 'fastify';

export function register_logout_endpoint(http_server: FastifyInstance, conf: HttpConfig, { pkce_cookie, session }: HttpWebDependencies) {
	const opts: RouteShorthandOptions = {
		schema: {
			response: {
				303: { },
			},
		},
	};

	http_server.post('/logout', opts, async (req, res) => {
		session.reset(res);
		pkce_cookie.reset(res);
		return redirect_303_see_other(res, conf.exposed_url, 'Logout successful');
	});
}
