
import { HttpConfig } from '../../http/server';
import { HttpWebDependencies } from '../server';
import { FastifyInstance, RouteShorthandOptions } from 'fastify';

export function register_submit_login_endpoint(http_server: FastifyInstance, conf: HttpConfig, { pkce_cookie, oidc }: HttpWebDependencies) {
	const opts: RouteShorthandOptions = {
		schema: {
			response: {
				302: { },
			},
		},
	};

	http_server.post('/login', opts, async (req, res) => {
		const pkce_code_challenge = await pkce_cookie.setup_pkce_challenge(res);
		oidc.redirect_to_auth_endpoint(res, pkce_code_challenge, `${conf.exposed_url}/login-callback`);
	});
}
