
import { FastifyReply } from 'fastify';

export function redirect_301_moved_permanently(res: FastifyReply, location: string, message?: string) {
	res.type('text/html; charset=utf-8');
	res.header('location', location);
	res.header('content-language', 'en-us');
	res.status(301);
	res.send(`<p>${message ? message + '; ' : ''}Redirecting to <a href="${location}">${location}</a></p>`);
}

export function redirect_302_found(res: FastifyReply, location: string, message?: string) {
	res.type('text/html; charset=utf-8');
	res.header('location', location);
	res.header('content-language', 'en-us');
	res.status(302);
	res.send(`<p>${message ? message + '; ' : ''}Redirecting to <a href="${location}">${location}</a></p>`);
}

export function redirect_303_see_other(res: FastifyReply, location: string, message?: string) {
	res.type('text/html; charset=utf-8');
	res.header('location', location);
	res.header('content-language', 'en-us');
	res.status(303);
	res.send(`<p>${message ? message + '; ' : ''}Redirecting to <a href="${location}">${location}</a></p>`);
}

export function redirect_307_temporary_redirect(res: FastifyReply, location: string, message?: string) {
	res.type('text/html; charset=utf-8');
	res.header('location', location);
	res.header('content-language', 'en-us');
	res.status(303);
	res.send(`<p>${message ? message + '; ' : ''}Redirecting to <a href="${location}">${location}</a></p>`);
}

export function redirect_200_refresh(res: FastifyReply, location: string, message?: string) {
	res.type('text/html; charset=utf-8');
	res.header('location', location);
	res.header('content-language', 'en-us');
	res.header('refresh', `0;URL='${location}'`);
	res.status(200);
	res.send(`
		<html>
		<head>
			<meta http-equiv="refresh" content="0;URL='${location}'"/>
		</head>
		<body>
			<p>${message ? message + '; ' : ''}Redirecting to <a href="${location}">${location}</a></p>
		</body>
		</html>
	`);
}
