
import type { FastifyRequest } from 'fastify';
import type { RouteGenericInterface } from 'fastify/types/route';
import type { SessionKey } from '../security/session';
import type { SessionData, UserData } from '../storage';

export type Req<T = RouteGenericInterface> = FastifyRequest<T> & {
	session?: {
		key: SessionKey;
		data: SessionData;
		user: UserData;
	};
};
