
import { StorageConfig } from './config';
import { StorageProvider } from './provider';
import { create_file_storage_provider } from './file';
import { create_sqlite3_storage_provider } from './sqlite3';
// import { create_mariadb_storage_provider } from './mariadb';
import { pino } from 'pino';

export type * from './provider';

export function create_storage_provider(conf: StorageConfig, logger: pino.Logger) : StorageProvider {
	switch (conf.engine) {
		case 'file': return create_file_storage_provider(conf, logger);
		case 'sqlite3': return create_sqlite3_storage_provider(conf, logger);
		// case 'mariadb': return create_mariadb_storage_provider(conf, logger);
	}
}
