
import { pino } from 'pino';
import { Pool } from 'generic-pool';
import { SQLite3StorageConfig } from './config';
import { Database } from 'sqlite3';

export type DBPool = Pool<Database>;

export interface DB {
	conf: SQLite3StorageConfig;
	logger: pino.Logger;

	// Database pools
	settings: DBPool;
	users: DBPool;
	sessions: DBPool;
}
