
export function deep_merge<T>(host: T, donor: T) : T {
	for (const [key, value] of Object.entries(donor)) {
		if (value != null && host[key] != null && typeof value === 'object' && typeof host[key] === 'object') {
			deep_merge(host[key], value);
			continue;
		}

		host[key] = value;
	}

	return host;
}
